import request from '@/utils/request'

/** 获取项目名称列表*/
export function getProjectList(data) {
  return request({
    url: '/sysproject/queryProjectByPage',
    method: 'get',
    params: data
  })
}
/** 修改接口*/
export function updateContractList(data) {
  return request({
    url: '/contract/contract/merge',
    method: 'put',
    data
  })
}
/** 获取部门返回的完整阶级名称*/
export function getCompleteName(data) {
  return request({
    url: '/contract/contract/queryCode',
    method: 'get',
    params: data
  })
}
/** 批量获取部门返回的完整阶级名称*/
export function getListCompleteName(data) {
  return request({
    url: '/contract/contract/queryCodeList',
    method: 'get',
    params: data
  })
}
/** 子组件获取合同列表数据*/
export function getContractList(data) {
  return request({
    url: '/contract/contract/queryContractByPage',
    method: 'get',
    params: data
  })
}
/** 获取合同履行地列表*/
export function getAddressList() {
  return request({
    url: '/contract/contract/selectZADDVS',
    method: 'get'
  })
}
/** 我方签约单位查询*/
export function getCompany(data) {
  return request({
    url: '/sysOrgan/queryOrganByPage',
    method: 'get',
    params: data
  })
}
/** 合同承办人查询*/
export function getHanderList(data) {
  return request({
    url: '/sysPerson/queryPersonByPage',
    method: 'get',
    params: data
  })
}
/** 获取集团部门树形结构*/
export function getDeptTree(data) {
  return request({
    url: '/sysOrgan/queryOrgan',
    method: 'get',
    params: data
  })
}
export function getDeptPeopleTree(data) {
  return request({
    url: '/sysOrgan/queryOrgan',
    method: 'get',
    params: data
  })
}
/** 只查部门树形结构（一进来调用不传参）*/
export function onlyGetDeptTree(data) {
  return request({
    url: '/sysOrgan/queryOrganByTree',
    method: 'get',
    params: data
  })
}
/** 只查部门树形结构（点击树形传参）*/
export function onlyGetDeptTreeParams(data) {
  return request({
    url: '/sysOrgan/queryOrganByTree',
    method: 'get',
    params: data
  })
}
/** 获取往来单位列表*/
export function getIntercourseCompanyList(data) {
  return request({
    url: '/sysUnit/queryUnitByPage',
    method: 'get',
    params: data
  })
}
